# synfig::ValueNode_Const Class Reference

`#include <valuenode_const.h>`

Inheritance diagram for synfig::ValueNode_Const:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Const > | Handle
typedef etl::handle< const ValueNode_Const > | ConstHandle

## Public Member Functions

virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual | ~ValueNode_Const ()
const ValueBase & | get_value () const
ValueBase & | get_value ()
void | set_value (const ValueBase &data)
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
virtual ValueNode * | clone (const GUID &deriv_guid=GUID()) const

## Static Public Member Functions

static ValueNode_Const * | create (const ValueBase &x=ValueBase())

## Protected Member Functions

virtual void | get_times_vfunc (Node::time_set &set) const

## Member Typedef Documentation

typedef etl::handle<ValueNode_Const> synfig::ValueNode_Const::Handle

Reimplemented from synfig::ValueNode.

typedef etl::handle<const ValueNode_Const> synfig::ValueNode_Const::ConstHandle

Reimplemented from synfig::ValueNode.

## Constructor & Destructor Documentation

ValueNode_Const::~ValueNode_Const | ( |  | ) | `[virtual]`

## Member Function Documentation

ValueBase ValueNode_Const::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

const ValueBase & ValueNode_Const::get_value | ( |  | ) | const

ValueBase & ValueNode_Const::get_value | ( |  | ) |

void ValueNode_Const::set_value | ( | const ValueBase & | data | ) |

References synfig::Node::changed().

String ValueNode_Const::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_Const::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

ValueNode * ValueNode_Const::clone | ( | const GUID & | deriv_guid = `GUID()` | ) | const`[virtual]`

Todo:
  This needs to be documented further.

Implements synfig::ValueNode.

References synfig::find_value_node(), synfig::Node::get_guid(), and synfig::Node::set_guid().

ValueNode_Const * ValueNode_Const::create | ( | const ValueBase & | x = `ValueBase()` | ) | `[static]`

Referenced by synfig::Layer::clone(), synfig::ValueNode_TimeLoop::create(), synfig::ValueNode_Switch::create(), synfig::ValueNode_Reference::create(), synfig::ValueNode_Greyed::create(), synfig::ValueNode_BLineRevTangent::create(), synfig::ValueNode_BLine::create(), synfig::ValueNode_Animated::create(), synfig::ValueNode_DynamicList::create_from(), synfig::ValueNode_DynamicList::create_list_entry(), synfig::ValueNode_Random::randomize_seed(), synfig::Waypoint::set_value(), synfig::ValueNode_Add::ValueNode_Add(), synfig::ValueNode_And::ValueNode_And(), synfig::ValueNode_Compare::ValueNode_Compare(), synfig::ValueNode_Duplicate::ValueNode_Duplicate(), synfig::ValueNode_GradientRotate::ValueNode_GradientRotate(), synfig::ValueNode_Integer::ValueNode_Integer(), synfig::ValueNode_Logarithm::ValueNode_Logarithm(), synfig::ValueNode_Not::ValueNode_Not(), synfig::ValueNode_Or::ValueNode_Or(), synfig::ValueNode_Pow::ValueNode_Pow(), synfig::ValueNode_Reciprocal::ValueNode_Reciprocal(), synfig::ValueNode_Repeat_Gradient::ValueNode_Repeat_Gradient(), synfig::ValueNode_Stripes::ValueNode_Stripes(), synfig::ValueNode_Subtract::ValueNode_Subtract(), synfig::ValueNode_Switch::ValueNode_Switch(), and synfig::ValueNode_TimeLoop::ValueNode_TimeLoop().

void ValueNode_Const::get_times_vfunc | ( | Node::time_set & | set | ) | const`[protected, virtual]`

Function to be overloaded that fills

Implements synfig::Node.

The documentation for this class was generated from the following files:

- valuenode_const.h
- valuenode_const.cpp